org.apache.ivy.plugins.latest

## Class AbstractLatestStrategy

- java.lang.Object
- - org.apache.ivy.plugins.latest.AbstractLatestStrategy

All Implemented Interfaces:
  LatestStrategy

Direct Known Subclasses:
  ComparatorLatestStrategy

    public abstract class AbstractLatestStrategy
    extends java.lang.Object
    implements LatestStrategy

### Constructor Summary

Constructors
Constructor and Description
`AbstractLatestStrategy()`

### Method Summary

Methods
`ArtifactInfo` `findLatest(ArtifactInfo[] infos, java.util.Date date)` Finds the latest artifact among the given artifacts info.
`java.lang.String` `getName()`
`void` `setName(java.lang.String name)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ivy.plugins.latest.LatestStrategy

`sort`

### Constructor Detail

#### AbstractLatestStrategy

    public AbstractLatestStrategy()

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `LatestStrategy`

#### setName

    public void setName(java.lang.String name)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### findLatest

    public ArtifactInfo findLatest(ArtifactInfo[] infos,
                          java.util.Date date)

Description copied from interface: `LatestStrategy`
Finds the latest artifact among the given artifacts info. The definition of 'latest' depends on the strategy itself. Given artifacts info are all good candidate. If the given date is not null, then found artifact should not be later than this date.

Specified by:
  `findLatest` in interface `LatestStrategy`
Returns:
  the latest artifact among the given ones.